Bug 182587 - security/tripwire12: Patch for build problems, amd64 compat, minor other updates
Summary: security/tripwire12: Patch for build problems, amd64 compat, minor other updates
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-03 00:00 UTC by Joe Greco
Modified: 2013-11-03 05:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.74 KB, patch)
2013-10-03 00:00 UTC, Joe Greco
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joe Greco 2013-10-03 00:00:00 UTC
port directory: /usr/ports/security/tripwire12
building for: FreeBSD 91amd64-default-job-24 9.1-RELEASE FreeBSD 9.1-RELEASE amd64
maintained by: jgreco@ns.sol.net
Log URL: http://beefy2.isc.freebsd.org/bulk/91amd64-default/2013-10-02_14h38m51s/logs/tripwire-1.2_1.log
Build URL: http://beefy2.isc.freebsd.org/bulk/91amd64-default/2013-10-02_14h38m51s
Comment 1 Thomas Abthorpe freebsd_committer 2013-11-02 04:15:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-11-03 05:07:46 UTC
Author: tabthorpe
Date: Sun Nov  3 05:07:32 2013
New Revision: 332587
URL: http://svnweb.freebsd.org/changeset/ports/332587

Log:
  - Fix build problems for amd64 compatibility
  - Other minor updates
  
  PR:		ports/182587
  Submitted by:	Joe Greco <jgreco@ns.sol.net> (maintainer)

Added:
  head/security/tripwire12/files/conf-freebsd8.h   (contents, props changed)
Modified:
  head/security/tripwire12/Makefile
  head/security/tripwire12/files/patch-aa   (contents, props changed)
  head/security/tripwire12/files/tw.conf.freebsd8   (contents, props changed)

Modified: head/security/tripwire12/Makefile
==============================================================================
--- head/security/tripwire12/Makefile	Sun Nov  3 05:00:53 2013	(r332586)
+++ head/security/tripwire12/Makefile	Sun Nov  3 05:07:32 2013	(r332587)
@@ -17,6 +17,7 @@ NO_CDROM=	cannot be redistributed for mo
 NO_PACKAGE=	requires local database to be built
 USES=		perl5
 USE_PERL5=	build
+MAKE_JOBS_UNSAFE=yes
 
 TWCONFIG?=	${FILESDIR}/tw.conf.freebsd8
 
@@ -31,7 +32,7 @@ post-patch:
 	    's|bs_ntohl|ntohl|g;s|bs_htonl|htonl|g'
 
 pre-configure:
-	@ ${CP} ${FILESDIR}/conf-freebsd2.h ${WRKSRC}/configs
+	@ ${CP} ${FILESDIR}/conf-freebsd8.h ${WRKSRC}/configs
 	@ ${CP} ${TWCONFIG} ${WRKSRC}/configs/tw.conf.freebsd8
 
 post-install:

Added: head/security/tripwire12/files/conf-freebsd8.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/tripwire12/files/conf-freebsd8.h	Sun Nov  3 05:07:32 2013	(r332587)
@@ -0,0 +1,57 @@
+/* $FreeBSD$ */
+
+/*
+ * conf-freebsd8.h
+ *
+ *	Tripwire configuration file
+ *
+ * Joe Greco
+ * sol.net Network Services
+ * Derived from the other BSD config.h's
+ */
+
+/***
+ *** Operating System specifics
+ ***	
+ ***	If the answer to a question in the comment is "Yes", then
+ ***	change the corresponding "#undef" to a "#define"
+ ***/
+
+/*
+ * is your OS a System V derivitive?  if so, what version?
+ *			(e.g., define SYSV 4)
+ */
+
+#undef SYSV
+
+/* 
+ * does your system have a <malloc.h> like System V? 
+ */
+
+#undef MALLOCH 	
+
+/* 
+ * does your system have a <stdlib.h> like POSIX says you should? 
+ */
+
+#define STDLIBH
+
+/*
+ * does your system use readdir(3) that returns (struct dirent *)?
+ */
+
+#define DIRENT
+
+/*
+ * is #include <string.h> ok?  (as opposed to <strings.h>)
+ */
+
+#define STRINGH
+ 
+/* 
+ * does your system have gethostname(2) (instead of uname(2))?
+ */
+
+#define GETHOSTNAME
+
+#define	TW_TYPE32	int

Modified: head/security/tripwire12/files/patch-aa
==============================================================================
--- head/security/tripwire12/files/patch-aa	Sun Nov  3 05:00:53 2013	(r332586)
+++ head/security/tripwire12/files/patch-aa	Sun Nov  3 05:07:32 2013	(r332587)
@@ -13,7 +13,7 @@
    ***	file that corresponds with your operating system.
    ***/
   
-! #include "../configs/conf-freebsd2.h"
+! #include "../configs/conf-freebsd8.h"
   
   #ifdef TW_TYPE32
   typedef TW_TYPE32 int32;

Modified: head/security/tripwire12/files/tw.conf.freebsd8
==============================================================================
--- head/security/tripwire12/files/tw.conf.freebsd8	Sun Nov  3 05:00:53 2013	(r332586)
+++ head/security/tripwire12/files/tw.conf.freebsd8	Sun Nov  3 05:07:32 2013	(r332587)
@@ -82,7 +82,6 @@
 /.forward	R	# may not exist
 
 # Unix itself
-/kernel		R
 /boot		R
 /boot.config	R
 
@@ -115,10 +114,6 @@
 # /libexec
 /libexec		R-2
 
-# /lkm and /modules
-/lkm			R-2
-/modules		R-2
-
 # /boot
 /boot			R-2
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Thomas Abthorpe freebsd_committer 2013-11-03 05:07:57 UTC
State Changed
From-To: open->closed

Committed. Thanks!